%define _provides_exceptions perl(.*)
%define _requires_exceptions \\(pear(.*)\\|perl(\\(MRP::BaseClass\\|MRTG_lib\\))\\)
Name:		mrtg
Version:	2.15.2
Release:	%mkrel 5
Summary:	Multi Router Traffic Grapher
License:	GPL
Group:		Networking/Other
URL:		http://www.mrtg.org/
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.bz2
Patch0:     %{name}-2.15.2.fhs.patch
Requires:	apache
Requires:	perl-SNMP_Session
# webapp macros and scriptlets
Requires(post):		rpm-helper >= 0.16
Requires(postun):	rpm-helper >= 0.16
BuildRequires:	rpm-helper >= 0.16
BuildRequires:	rpm-mandriva-setup >= 1.23
BuildRequires:	gd-devel
BuildRequires:	zlib-devel
BuildRequires:	png-devel
BuildRequires:	chrpath
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the
traffic load on network-links. MRTG generates HTML pages containing
PNG images which provide a LIVE visual representation of this traffic.

%package	contribs
Summary:	Multi Router Traffic Grapher contribs
Group:		Networking/Other
Requires:	%{name} = %{version}

%description	contribs
Contributed softwares for The Multi Router Traffic Grapher (MRTG)

%prep
%setup -q -n %{name}-%{version}
%patch -p 1

# remove annoyance...
perl -pi -e "s|^sleep .*||g" configure*

# fix perl path
find -type f | xargs perl -pi \
    -e 's|(?:/\w+)+/perl|%{_bindir}/perl|g;' \
    -e 's|c:\\\perl\\\bin|%{_bindir}/perl|g;'

%build
%configure2_5x LIBS="-lXpm -lX11"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/%{name}
cat > %{buildroot}%{_sysconfdir}/%{name}/%{name}.cfg << EOF
# mrtg configuration file

WorkDir: %{_localstatedir}/%{name}
EOF

# contribs
for contrib in \
    14all accesslistmon adm-mrtg apc_ups ascendget atmmaker \
    cfgmaker_ATM cfgmaker_cisco cfgmaker_dlci cisco_BPX_MGX ciscoindex \
    cisco_ipaccounting cisco_tftp cpuinfo cpumon \
    diskmon \
    get-active get-equi get-multiserial GetSNMPLinesUP \
    ipchainacc ipchains ipfilter iptables_acc iptables-accounting \
    iptables_acc_snmp ircstats ircstats2 IxDisk \
    jm \
    linux_stat \
    meminfo monitor mrtg-archiver mrtg-archiver-script mrtg-dynip \
    mrtgidx mrtgindex.cgi mrtg-ipacc mrtg-ipget mrtg-mail \
    mrtg.php mrtg_php_portal mrtgrq \
    net-hosts NSI nt_n_cisco nt-services \
    ovmrtg \
    ping-probe PMLines portmasters procmem \
    routers rumb-stat \
    snmpping stat stfc switchmaker \
    TCH TotalControlModem TTrafic \
    whodo \
    xlsummary; \
    do \
    cp -pr contrib/$contrib %{buildroot}/%{_datadir}/mrtg/contrib;
done

cp -pr contrib/gentcucci-1.0.0 %{buildroot}/%{_datadir}/mrtg/contrib/gentcucci

# remove nt-specific stuff
rm -f %{buildroot}/%{_mandir}/man1/mrtg-nt-guide.1

# fix the stupid rpatch stuff...
chrpath -d %{buildroot}%{_bindir}/rateup

# cron task
# FIXME: later on I will evaluate the new daemon features,
# maybe this crontab mess could be dropped?
install -d %{buildroot}%{_sysconfdir}/cron.d
cat >%{buildroot}%{_sysconfdir}/cron.d/mrtg << EOF
0-59/5 * * * * root %{_bindir}/mrtg %{_sysconfdir}/mrtg/mrtg.cfg --lock-file %{_localstatedir}/%{name}/mrtg.lock --confcache-file %{_localstatedir}/%{name}/mrtg.cache --logging /var/log/mrtg/mrtg.log
EOF

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# MRTG Apache configuration
Alias /%{name} %{_localstatedir}/%{name}

<Directory %{_localstatedir}/%{name}>
    Allow from all
</Directory>
EOF

# drop private versions of perl modules
rm -f %{buildroot}%{_datadir}/%{name}/lib/SNMP_Session.pm
rm -f %{buildroot}%{_datadir}/%{name}/lib/SNMP_util.pm
rm -f %{buildroot}%{_datadir}/%{name}/lib/BER.pm
rm -rf %{buildroot}%{_datadir}/%{name}/pod
rm -rf %{buildroot}%{_datadir}/%{name}/contrib/whodo/GIFgraph

%clean
rm -rf %{buildroot}

%post
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%doc CHANGES MANIFEST README THANKS doc/*.txt
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/mrtg
%config(noreplace) %{_sysconfdir}/cron.d/mrtg
%{_bindir}/*
%{_mandir}/man1/cfgmaker.1*
%{_mandir}/man1/mrtg-faq.1*
%{_mandir}/man1/mrtg-forum.1*
%{_mandir}/man1/indexmaker.1*
%{_mandir}/man1/mrtg-logfile.1*
%{_mandir}/man1/mrtg-mibhelp.1*
%{_mandir}/man1/mrtg-rrd.1*
%{_mandir}/man1/mrtg.1*
%{_mandir}/man1/mrtglib.1*
%{_mandir}/man1/mrtg-reference.1*
%{_mandir}/man1/mrtg-squid.1*
%{_mandir}/man1/mrtg-unix-guide.1*
%{_mandir}/man1/mrtg-webserver.1*
%{_mandir}/man1/mrtg-ipv6.1*
%{_mandir}/man1/mrtg-nw-guide.1*
%{_localstatedir}/%{name}
%dir %{_datadir}/mrtg
%{_datadir}/mrtg/lib

%files contribs
%defattr(-,root,root)
%doc doc/mrtg-contrib.txt
%{_mandir}/man1/mrtg-contrib.1*
%{_datadir}/mrtg/contrib


%changelog
* Thu Sep 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.15.2-5mdv2008.0
+ Revision: 93417
- Fix bug #34216:
- add missing dependency
- set correct workdir in default configuration file, using herein document instread of external source
- fix FHS patch

* Sun Sep 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.15.2-4mdv2008.0
+ Revision: 83809
- yet another private library copy removed

* Sat Sep 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.15.2-3mdv2008.0
+ Revision: 82174
- drop all private perl modules copies

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.15.2-2mdv2008.0
+ Revision: 81330
- don't fix eol, spec-helper is doing it
- don't provide private perl libs
- fix contrib dependencies

* Tue Sep 04 2007 Emmanuel Andry <eandry@mandriva.org> 2.15.2-1mdv2008.0
+ Revision: 79550
- New version

* Tue May 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.14.4-4mdv2008.0
+ Revision: 32453
- add missing apache dependency

* Mon May 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.14.4-3mdv2008.0
+ Revision: 24029
- drop dependency on net-snmp (fix #17647)

* Thu Apr 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.14.4-2mdv2008.0
+ Revision: 14976
- large spec cleanup
- FHS & web policy compliant setup


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2.14.4-1mdv2007.1
+ Revision: 145135
- Import mrtg

* Thu Jul 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.14.4-1mdv2007.0
- 2.14.4 (Minor bugfixes)

* Tue May 16 2006 Oden Eriksson <oeriksson@mandriva.com> 2.14.3-1mdk
- 2.14.3

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.14.0-1mdk
- 2.14.0 (Minor feature enhancements)
- fix the crond script

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.13.1-1mdk
- 2.13.1 (Major feature enhancements)

* Sat Sep 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.12.2-2mdk
- explicit exceptions for wrong pear dependencies

* Thu Aug 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu May 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.12.1-1mdk
- 2.12.1 (Major bugfixes)
- strip away annoying ^M

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.11.1-2mdk
- make it compile on 10.0 too

* Fri Jan 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.11.1-1mdk
- 2.11.1

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.10.15-3mdk
- Rebuild for new perl

* Mon Oct 11 2004 Robert Vojta <robert.vojta@mandrake.org> 2.10.15-2mdk
- use /etc/cron.d/mrtg instead of /etc/crontab (#6279)

* Mon Aug 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.10.15-1mdk
- 2.10.15

* Sat Jun 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.10.14-2mdk
- rebuilt against new gd

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.10.14-1mdk
- 2.10.14
- use simpler spec magic

